Page MenuHomePhabricator

Improve performance of MediaWikiAnalysis
Closed, DeclinedPublic

Description

Analyze how the MediaWikiAnalysis tool (code: https://github.com/MetricsGrimoire/MediaWikiAnalysis ) works when accessing the MediaWiki API, and find a way of improving that, in terms of taking less time (and/or less API calls) to retrieve the same information. Time the tool with and without the improvement, to know how much efficiency was achieved.

Event Timeline

jgbarah created this task.Oct 1 2015, 10:00 PM
jgbarah raised the priority of this task from to Lowest.
jgbarah updated the task description. (Show Details)
jgbarah added subscribers: jgbarah, Anmolkalia, prnk28 and 5 others.

As this is a microtask of T89135 and not an individual tech-project of it's own that can be proposed in Outreachy/GSoC - I'm removing the Possible-Tech-Projects tag.

TasneemLo set Security to None.
Iamneha removed a subscriber: Iamneha.Oct 3 2015, 2:49 PM
Qgil renamed this task from Improve performance to Improve performance of MediaWikiAnalysis.Oct 11 2015, 8:20 PM
Qgil updated the task description. (Show Details)
Aklapper updated the task description. (Show Details)Nov 24 2016, 4:05 PM
Aklapper closed this task as Declined.Nov 24 2016, 11:13 PM

Declining this task as MediaWikiAnalysis has been superseded by the mediawiki.py script in the Perceval backend.